package Widget::Include;
use strict;

use vars qw(@ISA $WidgetURI);
@ISA = qw(XML::SAX::Base);
$WidgetURI = 'http://localhost/saxpages/widget';

sub start_element {
    my ( $self, $el ) = @_;

    if ( $el->{NamespaceURI} eq $WidgetURI &&
         $el->{LocalName} eq 'include' ) {

         if ( defined $el->{Attributes}->{'{}uri'} ) {
             my $uri = $el->{Attributes}->{'{}uri'}->{Value};
             my $parser = XML::SAX::ParserFactory->parser( Handler => $self );
             $p->parse_uri( $uri );
         }
    }
    else {
        $self->SUPER::start_element( $el );
    }
}

sub end_element {
    my ( $self, $el ) = @_;

    $self->SUPER::end_element( $el ) unless
        $el->{NamespaceURI} eq $WidgetURI and                             
        $el->{LocalName} eq 'include';                             

}

1;